Bug 1497809 - [RFE] smbstatus -L does not resolve UIDs to names
Summary: [RFE] smbstatus -L does not resolve UIDs to names
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: Andrej Dzilský
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-02 17:44 UTC by lejeczek
Modified: 2020-03-31 19:57 UTC (History)
7 users (show)

Fixed In Version: samba-4.10.4-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 19:56:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1084 None None None 2020-03-31 19:57:08 UTC

Description lejeczek 2017-10-02 17:44:43 UTC
Description of problem:

It would be great to have it work: smbstatus -L

Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 5 Andreas Schneider 2018-10-15 13:50:34 UTC
I've pinged Ralph who looked into the patch.

Comment 6 lejeczek 2018-11-08 18:56:29 UTC
Yeah, yes, that would be great to have it work. I remember I had in an old SUSE which nicely showed user names, then... I migrated to RHEL.
Also (might be separate) a bit of an issue is "SharePath" in the output.
If someone can improve that smbstatus code, I'd suggest make that "SharePath" so it would also show shares names.

many thanks, L.

Comment 7 Andreas Schneider 2018-12-12 11:45:14 UTC
The command doesn't show usernames as this will affect the performance. If you have thousands of connections and have to resolve names it can take a very long time. Displaying username in addition could be done using a new command line options it can't be the default.

Comment 15 errata-xmlrpc 2020-03-31 19:56:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1084


Note You need to log in before you can comment on or make changes to this bug.